#  ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_name_vhdl"
  void Signal::get_name_vhdl (std::list<std::string> *& list_signal)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    if ((_presence_port == PORT_VHDL_YES_TESTBENCH_YES) or
	(_presence_port == PORT_VHDL_YES_TESTBENCH_NO ) or
	(_presence_port == CLOCK_VHDL_YES)              or
	(_presence_port == RESET_VHDL_YES))
      list_signal->push_back(_name);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
